package game.audio;

import game.init.SoundEvent;

public class PositionedSound extends Sound
{
//    public PositionedSound(SoundEvent event, float pitch)
//    {
//        this(event, 0.25F, pitch, false, false, 0.0F, 0.0F, 0.0F);
//    }

    public PositionedSound(SoundEvent event)
    {
        this(event, 1.0F, false, 0.0F, 0.0F, 0.0F);
    }

    public PositionedSound(SoundEvent event, float volume, float xPosition, float yPosition, float zPosition)
    {
        this(event, volume, true, xPosition, yPosition, zPosition);
    }

    private PositionedSound(SoundEvent event, float volume, boolean attenuationType, float xPosition, float yPosition, float zPosition)
    {
        super(event);
        this.volume = volume;
//        this.pitch = pitch;
        this.xPosF = xPosition;
        this.yPosF = yPosition;
        this.zPosF = zPosition;
        this.repeat = false;
        this.attenuationType = attenuationType;
    }
}
