package game.command;

public interface ScriptExecutor {
	void logConsole(String msg);
	String getExecId();
	String getExecName();
	
	default void logConsole(String fmt, Object ... args) {
		this.logConsole(String.format(fmt, args));
	}
}
