package game.item;

import game.color.TextColor;
import game.dimension.Space;
import game.entity.npc.EntityNPC;
import game.init.SoundEvent;
import game.world.World;
import game.world.WorldServer;

public class ItemExterminator extends ItemMagnetic {
	public ItemExterminator() {
		this.setMaxStackSize(1);
		this.setColor(TextColor.DRED);
	}

//	public final boolean canUseInAir() {
//		return true;
//	}

	public ItemStack onItemRightClick(ItemStack stack, World world, EntityNPC player) {
		if(!world.client) {
			world.playSoundAtEntity(player, SoundEvent.CLICK, 1.0F, 2.0F);
			if(world.dimension == Space.INSTANCE)
				player.connection.addFeed(TextColor.RED + "Der Weltraum kann nicht zerstört werden (lol)");
			else if(!((WorldServer)world).exterminate())
				player.connection.addFeed(TextColor.YELLOW + "Die Welt %s ist bereits zerstört", world.dimension.getFormattedName(false));
			else
				player.connection.addFeed(TextColor.CRIMSON + "Die Welt %s wurde vernichtet >:)-", world.dimension.getFormattedName(false));

//            if (!playerIn.capabilities.isCreativeMode)
//            {
//                --stack.stackSize;
//            }

//			return true;
		}

//        player.triggerAchievement(StatRegistry.objectUseStats[ItemRegistry.getIdFromItem(this)]);
        return stack;
	}
}
